Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathLinetoVerticalAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathLinetoVerticalAbs:
[legend]
Collaboration diagram for Magick::PathLinetoVerticalAbs:
[legend]

## Public Member Functions
| PathLinetoVerticalAbs (double y_)
| ~PathLinetoVerticalAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
void | y (double y_)
double | y (void) const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 3031 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathLinetoVerticalAbs()

Magick::PathLinetoVerticalAbs::PathLinetoVerticalAbs | ( | double | y_ | ) |
| inline

Definition at line 3034 of file Drawable.h.

## ◆ ~PathLinetoVerticalAbs()

Magick::PathLinetoVerticalAbs::~PathLinetoVerticalAbs | ( | void |  | ) |

Definition at line 2409 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathLinetoVerticalAbs::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2417 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathLinetoVerticalAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2413 of file Drawable.cpp.

## ◆ y() [1/2]

void Magick::PathLinetoVerticalAbs::y | ( | double | y_ | ) |
| inline

Definition at line 3047 of file Drawable.h.

## ◆ y() [2/2]

double Magick::PathLinetoVerticalAbs::y | ( | void |  | ) | const
| inline

Definition at line 3051 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp